Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flag-defaults
Get flag defaults for project
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flag-defaults \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "key": "<string>",
  "tags": [
    "tag-1",
    "tag-2"
  ],
  "temporary": true,
  "defaultClientSideAvailability": "{\"usingMobileKey\": true, \"usingEnvironmentId\": false}",
  "booleanDefaults": {
    "trueDisplayName": "True",
    "falseDisplayName": "False",
    "trueDescription": "serve true",
    "falseDescription": "serve false",
    "onVariation": 0,
    "offVariation": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

Response

Flag defaults response

The location and content type of related resources

key
string

A unique key for the flag default

tags
string[]

A list of default tags for each flag

Example:
["tag-1", "tag-2"]
temporary
boolean

Whether the flag should be temporary by default

Example:

true

defaultClientSideAvailability
object

Which client-side SDK types can use this flag by default. Set usingMobileKey to make the flag available for mobile SDKs. Set usingEnvironmentId to make the flag available for client-side SDKs.

Example:

"{\"usingMobileKey\": true, \"usingEnvironmentId\": false}"

booleanDefaults
object

Defaults for boolean flags within this project